# Oracle Database 11g: Administration Workshop II
# Oracle Server Technologies - Curriculum Development
#
# ***Training purposes only***
# ***Not appropriate for production use***
#
# This script supports the Resource Manager practice session.
#   Start this script connected as OS user: oracle.

sqlplus "/ as sysdba" << EOF


PROMPT undo lab step 5

BEGIN
    dbms_resource_manager_privs.revoke_switch_consumer_group(
        revokee_name => 'PM',
        consumer_group => 'APPUSER'
    );
END;
/
BEGIN
    dbms_resource_manager_privs.revoke_switch_consumer_group(
        revokee_name => 'PM',
        consumer_group => 'LOW_GROUP'
    );
END;
/
BEGIN
    dbms_resource_manager_privs.revoke_switch_consumer_group(
        revokee_name => 'PM',
        consumer_group => 'SYS_GROUP'
    );
END;
/
PROMPT undo lab step 4

BEGIN
dbms_resource_manager.clear_pending_area();
dbms_resource_manager.create_pending_area();
dbms_resource_manager.set_consumer_group_mapping(
    dbms_resource_manager.client_os_user,
    'ORACLE',
    NULL
);
dbms_resource_manager.submit_pending_area();
END;
/
PROMPT  undo lab step 3

BEGIN
dbms_resource_manager.clear_pending_area();
dbms_resource_manager.create_pending_area();
dbms_resource_manager.set_consumer_group_mapping(
    dbms_resource_manager.oracle_user,
    'HR',
    NULL
);
dbms_resource_manager.set_consumer_group_mapping(
    dbms_resource_manager.oracle_user,
    'SCOTT',
    NULL
);
dbms_resource_manager.set_consumer_group_mapping(
    dbms_resource_manager.oracle_user,
    'SYS',
    NULL
);
dbms_resource_manager.set_consumer_group_mapping(
    dbms_resource_manager.oracle_user,
    'SYSTEM',
    NULL
);
dbms_resource_manager.submit_pending_area();
END;
/
PROMPT  undo lab step 2

BEGIN
dbms_resource_manager.clear_pending_area();
dbms_resource_manager.create_pending_area();
dbms_resource_manager.delete_plan_directive('DEFAULT_PLAN', 'APPUSER');
dbms_resource_manager.delete_plan_directive('DEFAULT_PLAN', 'LOW_GROUP');
dbms_resource_manager.submit_pending_area();
dbms_resource_manager.switch_plan( plan_name => '', sid => 'orcl', allow_scheduler_plan_switches => FALSE );
END;
/
exit
EOF


